---
title: primitiveUnits
slug: Web/SVG/Attribute/primitiveUnits
tags:
  - NeedsExample
  - SVG
  - SVG Attribute
  - SVG Filter
---
<div>{{SVGRef}}</div>

<p>The <strong><code>primitiveUnits</code></strong> attribute specifies the coordinate system for the various length values within the filter primitives and for the attributes that define the filter primitive subregion.</p>

<p>Only one element is using this attribute: {{SVGElement("filter")}}</p>

<h2 id="Usage_notes">Usage notes</h2>

<table class="properties">
 <tbody>
  <tr>
   <th scope="row">Value</th>
   <td><code>userSpaceOnUse</code> | <code>objectBoundingBox</code></td>
  </tr>
  <tr>
   <th scope="row">Default value</th>
   <td><code>userSpaceOnUse</code></td>
  </tr>
  <tr>
   <th scope="row">Animatable</th>
   <td>Yes</td>
  </tr>
 </tbody>
</table>

<dl>
 <dt>userSpaceOnUse</dt>
 <dd>This value indicates that any length values within the filter definitions represent values in the current user coordinate system in place at the time when the {{SVGElement("filter")}} element is referenced (i.e., the user coordinate system for the element referencing the {{SVGElement("filter")}} element via a {{SVGAttr("filter")}} attribute).</dd>
 <dt>objectBoundingBox</dt>
</dl>

<p>This value indicates that any length values within the filter definitions represent fractions or percentages of the bounding box on the referencing element.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName("Filters 1.0", "#element-attrdef-filter-primitiveunits", "primitiveUnits")}}</td>
   <td>{{Spec2("Filters 1.0")}}</td>
   <td>No change</td>
  </tr>
  <tr>
   <td>{{SpecName("SVG1.1", "filters.html#FilterElementPrimitiveUnitsAttribute", "primitiveUnits")}}</td>
   <td>{{Spec2("SVG1.1")}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("svg.elements.filter.primitiveUnits")}}</p>
